Журнал LinuxFormat - перейти на главную

LXF76:Учебник Ubuntu, часть 2

Материал из Linuxformat
Перейти к: навигация, поиск

Содержание

Apt-get Улучшаем Ubuntu

Здорово, конечно, быть частью глобального сообщества пользователей Ubuntu, но, если вы похожи на Скотта Дугласа (Scott Douglass), то вам все равно нужна чашка СВОЕГО кофе. Сейчас вы узнаете, как обновить Java и установить Flash или Adobe Acrobat на ваш компьютер.

Ссылки
  • Вы можете скачать Ubuntu Linux с сайта http://ubuntulinux.com. Последняя версия на момент написания статьи – 5.10, по прозвищу Breezy Badger, на ее основе был подготовлен данный урок. Breezy находится на DVD, поставляемом с январским номером Linux Format.
  • Полезная информация находится на сайте http://ubuntuguide.org. В данный момент он предназначен для версии 5.04, но большинство советов годятся и для 5.10.

Ubuntu очень гордится своим статусом свободного дистрибутива. Чтобы удержать эту марку, разработчики стараются включать только программы, подпадающие под их определение свободного ПО. Оно и замечательно; но выходит, что существуют компоненты и пакеты, которые вам отнюдь не помешали бы, а они не включены в установку по умолчанию. Если вы пользователь Ubuntu, тоскующий по Acrobat, Flash или Java, читайте дальше: в данном уроке мы покажем, как установить эти пакеты вручную. Замечание: команды в этом учебнике нужно будет выполнять из консоли (Applications > Accessories > Terminal) от имени суперпользователя root. Политика Ubuntu по отношению к правам суперпользователя слегка отличается от принятой в большинстве дистрибутивов: вы должны будете употреблять команду sudo. После запуска команды с помощью sudo вас попросят ввести пароль – это пароль текущего пользователя, а не суперпользователя root.

Выбираем репозитарии

Первое, что нужно сделать – добавить пару репозитариев в список, проверяемый Ubuntu при добавлении или обновлении приложений, поскольку многие пакеты, которые вам требуется установить, недоступны в главном дистрибутиве. С этой целью, отредактируйте файл /etc/apt/sources.list. Запустите командную строку своего любимого редактора (лично мне нравится Vim), не забыв добавить в команду префикс sudo, так как для записи в этот файл нужны привилегии суперпользователя:

sudo vim /etc/apt/sources.list

В файле содержатся записи для каждого из репозитариев, проверяемых Ubuntu. Взгляните на следующие четыре строки:

#deb http://gb.archive.ubuntu.com/ubuntu breezy universe
#deb-src http://gb.archive.ubuntu.com/ubuntu breezy universe
#deb http://security.ubuntu.com/ubuntu breezy-security universe
#deb-src http://security.ubuntu.com/ubuntu breezy-security universe

Символ # в начале строки превращает ее в неисполняемый комментарий. Удалите #, и вы добавите репозитарии Universe, которые не поддерживаются Ubuntu, поскольку содержат приложения без свободной лицензии.

Еще надо добавить репозитарий Multiverse, где тоже есть приложения, не являющиеся «свободным ПО» в понимании Ubuntu (сюда включено всё, что не вышло под лицензией GPL, включая Java, драйвера Nvidia, поддержку MP3 и многое другое). Это легко. Просто добавьте слово ‘multiverse’ к концу каждой раскомментированной ранее строки:

deb http://gb.archive.ubuntu.com/ubuntu breezy universe multiverse

И, наконец, осталось обновить описания пакетов Ubuntu из этих новых репозитариев:

sudo apt-get update

Чертовски милая Java

В нашем списке обновляемых приложений лидирует Java. Ubuntu поставляется с GNU Interpreter for Java (GIJ) и GNU Compiler for Java (GCJ). Работать они работают, но довольно медленно, к тому же не полностью совместимы с версией Java от Sun (это значит, что многие Java-приложения на них не пройдут); кроме того, их работа на других платформах оставляет желать лучшего. Лучше установить версию Java от Sun: Java 2 Standard Edition Development Kit (JDK). Можно, конечно, воспользоваться готовой сборкой из Multiuniverse, однако, проделав все операции вручную, вы получите последнюю версию и разберетесь, что же происходит за кулисами Ubuntu.

Для начала скачаем последнюю версию JDK (Java development kit) или JRE (Java runtime environment). Если вы собираетесь разрабатывать и компилировать Java-приложения, качайте JDK; а если вам надо просто запускать Java-приложения или апплеты в web-браузере, берите JRE, он компактнее.

Зайдите на сайт http://java.sun.com/j2se/1.5.0/download.jsp и кликните Download JDK 5.0 Update 6 или Download JRE 5.0 Update 6. С открывшейся страницы вам нужно скачать самораспаковывающийся архив Linux (имя файла оканчивается на .bin).

А теперь берите скачанный инсталлятор и делайте из него пакет Ubuntu. Для этого потребуется пара утилит: fakeroot («маскарадный костюм» суперпользователя, разрешающий манипуляции с файлами) и java-package (который создаст пакет из двоичного инсталлятора Sun). Из консоли выполните команду

sudo apt-get install java-package fakeroot

На чистом Ubuntu вас дополнительно попросят установить кое-какие мелкие пакеты. Нажмите Y, чтобы apt-get их скачал и установил.

Теперь у нас есть всё что нужно. Наберите

fakeroot make-jpkg jdk-1_5_0_05-linux-i586.bin

(если вы устанавливаете JRE, замените jdk на jre).

Следуйте подсказкам и просмотрите лицензию. Результат работы инсталлятора Sun перенаправляется в make-jpkg. По завершении команды вы получите стандартный пакет Debian, который сможете установить командой

sudo dpkg -i sun-j2sdk1.5_1.5.0+update05_i386.deb

(Опять-таки, замените в команде j2sdk на j2re, если надо).

(thumbnail)
Зайдите на http://java.com и кликните Verify Installation. Вот что вы увидите, если плагин Java в Firefox заработал.

Если вы ещё не удалили GIJ, то теперь в вашей системе сосуществуют две версии Java: GNU и Sun, что может привести к конфликтам. Есть несколько способов разрешения этой проблемы. Самый изящный – удалить пакет-оболочку, содержащий все символические ссылки на GCJ и GIJ:

sudo apt-get remove java-gcj-compat

Проверьте, все ли сработало, командой java -version . Вы должны получить примерно следующее:

java version “1.5.0_05”
Java(TM) 2 Runtime Environment, Standard Edition (build
1.5.0_05-b05)
Java HotSpot(TM) Client VM (build 1.5.0_05-b05, mixed mode, sharing)

Ставим Flash

(thumbnail)
Проверьте свежеустановленный Flash – а заодно и свой IQ – открыв в браузере http://www.eyezmaze.com.

Следующий на очереди – подключаемый модуль Macromedia Flash. Установите его в Firefox, и вашу полосу пропускания тоже примутся забивать огромные и нудные рекламные ролики... Нет, на самом деле это здорово. Существует собранный пакет в репозитарии Multiverse (sudo apt-get install flashplayer-mozilla), но любители приключений могут сами скачать плагин со страницы http://www.macromedia.com/software/shockwaveplayer.

Распакуйте архив и перейдите в созданный каталог:

tar -xzvf install_flash_player_7_linux.tar.gz
cd install_flash_player_7_linux

Теперь скопируйте два файла, требуемые для Firefox, в директорию plugins:

sudo cp libflashplayer.so /usr/lib/mozilla-firefox/plugins/
sudo cp flashplayer.xpt /usr/lib/mozilla-firefox/plugins/

Перезапустите Firefox и проверьте, что всё работает, наслав его на какой-нибудь сайт, где используется Flash (могу ли я рекомендовать http://www.eyezmaze.com?).

Обновляем Acrobat

СОВЕТЫ
  • Если вы предпочитаете GUI командной строке, вы можете воспользоваться Synaptic вместо apt-get. Он проживает в Applications > Administration > Synaptic Package Manager (вам всё равно потребуется модифицировать файл /etc/apt/sources.list).
  • Описанные в нашем уроке изменения команд можно сделать в любом редакторе. Замените команду vim вызовом другого редактора (если любимого редактора у вас пока нет, попробуйте Nano – он, пожалуй, проще всех в использовании).
  • Приведенные подключаемые модули предназначены для Firefox (www.getfirefox.com), но информация о них, вероятно, подойдет и для других браузеров. Просто замените каталог плагинов Firefox на соответствующий каталог вашего браузера.

Ubuntu поставляется с программой просмотра PDF (Evince), но я уверен, что, прочитав наш обзор подобных программ в номере LXF72, вы жаждете только Adobe Acrobat. Специально для ленивых, какая-то добрая душа уже сделала пакет в репозитарии Multiverse:

sudo apt-get install acroread
sudo apt-get install mozilla-acroread
sudo apt-get install acroread-plugins

Но если вы пожелали установить его вручную, зайдите на сайт www.adobe.com, щелкните по Get Adobe Reader и скачайте версию для Linux (.tar.gz). Распакуйте архив командой

tar -xzvf AdbeRdr701_linux_enu.tar.gz

и запустите установочный скрипт из получившегося каталога:

sudo AdobeReader/INSTALL

Acrobat Reader-у потребуется библиотека libstdc++.so.5 (GCC 3.2.x), которой у вас может не оказаться. Эта проблема решается командой

sudo apt-get install libstdc++5

Чтобы смотреть PDF-ы внутри браузера, потребуется установить ещё один подключаемый модуль. Adobe предусматривает для этого особый скрипт, он скопировался на вашу систему в процессе установки. Запустите его командой (измените в команде каталог установки на тот, что используется у вас)

sudo /usr/local/Adobe/Acrobat7.0/Browser/install_browser_plugin

Вас спросят, нужно ли устанавливать плагин для всех пользователей или только для вас, и где находится каталог с браузером (например, /usr/lib/mozilla-firefox).

Чтобы подключаемый модуль заработал в Firefox, вам нужно прописать путь к исполняемому файлу Acrobat Reader (acroread) в путях Gnome. В файле .profile/.bashrc этот путь устанавливать бесполезно, поскольку он применяется только к текущей оболочке, а не к сессии Gnome. Вместо этого создайте файл .gnomerc в вашем домашнем каталоге, который Gnome прочитывает во время старта.

vim ~/.gnomerc

Добавьте следующую строку в этот файл (каталог установки, естественно, поменяйте на свой):

export PATH=$PATH:/usr/local/Adobe/Acrobat7.0/bin

После перезапуска Gnome у вас должен работать просмотр PDF-файлов внутри Firefox.

Надеюсь, этот урок проиллюстрировал одну из прекрасных особенностей жизни в Linux: как только вы установите дистрибутив и настроите Интернет, вы узнаете, что на свете есть множество вещей, заслуживающих исследования. Чего только не накопаешь!

Персональные инструменты
купить
подписаться
Яндекс.Метрика